# Profile_Timer.h File Reference

`#include "ace/config-all.h"`
`#include "ace/High_Res_Timer.h"`
`#include "ace/Profile_Timer.inl"`

Include dependency graph for Profile_Timer.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Profile_Timer
| This class provides both a timing mechanism and a mechanism for reporting the resource usage of a process. More...
class | ACE_Profile_Timer::ACE_Elapsed_Time
| Keeps track of the various user, system, and elapsed (real) times. More...

## Detailed Description

Id
  Profile_Timer.h,v 4.28 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>